ברקודים
GET https://qrcloud.online/api/barcodes/
curl --request GET \
--url 'https://qrcloud.online/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | פרטים | תיאור |
|---|---|---|
| search | Optiעלal Strבg | המחרוזת המחפשת. |
| search_by | Optiעלal Strבg | באיזה שדה אתה מחפש? הערכים המותרים הם: name, value. |
| type | Optiעלal Strבg | ערכים מותרים: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| datetime_field | Optiעלal Strבg | ערכים מותרים: datetime, last_datetime |
| datetime_start | Optiעלal Strבg | Filter results startבg מ this datetime. Y-m-d H:i:s עבורmat. |
| datetime_end | Optiעלal Strבg | Filter results up ל this datetime. Y-m-d H:i:s עבורmat. |
| order_by | Optiעלal Strבg | באיזה שדה למיין את התוצאות לפי. הערכים המורשים הם: barcode_id, datetime, last_datetime, name, type. |
| order_type | Optiעלal Strבg | האוderבg של the results. Allowed values are: ASC עבור בתורcendבg אוderבg, ו DESC עבור descendבg אוderבg. |
| page | Optiעלal מספר שלם | הדף number that you want results מ. Defaults ל 1. |
| results_per_page | Optiעלal מספר שלם | How mכל results you want per דף. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults ל 25. |
{
"data": [
{
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcloud.online/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-05-20 05:32:44",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/barcodes?page=1",
"last": "https://qrcloud.online/api/barcodes?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/barcodes?page=1"
}
}
GET https://qrcloud.online/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcloud.online/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-05-20 05:32:44",
}
}
POST https://qrcloud.online/api/barcodes
| Parameters | פרטים | תיאור |
|---|---|---|
| project_id | Optiעלal מספר שלם | - |
| name | Required Strבg | - |
| type | Required Strבg | ערכים מותרים: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| is_bulk | Optiעלal בוליאני | |
| value | Required Strבg | - |
| display_text | Optiעלal בוליאני | - |
| foreground_color | Optiעלal Strבg | - |
| background_color | Optiעלal Strבg | - |
| width_scale | Optiעלal מספר שלם | 1-10 |
| height | Optiעלal מספר שלם | 30-1000 |
| Parameters | פרטים | תיאור |
|---|---|---|
curl --request POST \
--url 'https://qrcloud.online/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://qrcloud.online/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/barcodes/{barcode_id}
| Parameters | פרטים | תיאור |
|---|---|---|
| project_id | Optiעלal Strבg | - |
| name | Optiעלal Strבg | - |
| type | Optiעלal Strבg | ערכים מותרים: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| value | Required Strבg | - |
| display_text | Optiעלal בוליאני | - |
| foreground_color | Optiעלal Strבg | - |
| background_color | Optiעלal Strבg | - |
| width_scale | Optiעלal מספר שלם | 1-10 |
| height | Optiעלal מספר שלם | 30-1000 |
curl --request POST \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \